Package org.bedework.synch.wsmessages

# Class SubscribeRequestType

java.lang.Object
org.bedework.synch.wsmessages.BaseSynchRequestType
org.bedework.synch.wsmessages.SubscribeRequestType

public class SubscribeRequestType extends BaseSynchRequestType
Message from a service requesting new subscription calendar to 'remote'. token Sent in initial startup request endAConnector Set of properties for the A end endBConnector Set of properties for the B end info Set of properties for the entire subscription

Java class for SubscribeRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SubscribeRequestType">
       <complexContent>
         <extension base="{http://www.bedework.org/synch/wsmessages}BaseSynchRequestType">
           <sequence>
             <element name="token" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="principalHref" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="direction" type="{http://www.bedework.org/synch/wsmessages}SynchDirectionType"/>
             <element name="master" type="{http://www.bedework.org/synch/wsmessages}SynchMasterType"/>
             <element name="endAConnector" type="{http://www.bedework.org/synch/wsmessages}ConnectorInfoType"/>
             <element name="endBConnector" type="{http://www.bedework.org/synch/wsmessages}ConnectorInfoType"/>
             <element name="info" type="{http://www.bedework.org/synch/wsmessages}ArrayOfSynchProperties"/>
             <element name="opaqueData" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected SynchDirectionType`
  `direction`
  `protected ConnectorInfoType`
  `endAConnector`
  `protected ConnectorInfoType`
  `endBConnector`
  `protected ArrayOfSynchProperties`
  `info`
  `protected SynchMasterType`
  `master`
  `protected String`
  `opaqueData`
  `protected String`
  `principalHref`
  `protected String`
  `token`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SubscribeRequestType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SynchDirectionType`
  `getDirection()`
  Gets the value of the direction property.
  `ConnectorInfoType`
  `getEndAConnector()`
  Gets the value of the endAConnector property.
  `ConnectorInfoType`
  `getEndBConnector()`
  Gets the value of the endBConnector property.
  `ArrayOfSynchProperties`
  `getInfo()`
  Gets the value of the info property.
  `SynchMasterType`
  `getMaster()`
  Gets the value of the master property.
  `String`
  `getOpaqueData()`
  Gets the value of the opaqueData property.
  `String`
  `getPrincipalHref()`
  Gets the value of the principalHref property.
  `String`
  `getToken()`
  Gets the value of the token property.
  `void`
  `setDirection(SynchDirectionType value)`
  Sets the value of the direction property.
  `void`
  `setEndAConnector(ConnectorInfoType value)`
  Sets the value of the endAConnector property.
  `void`
  `setEndBConnector(ConnectorInfoType value)`
  Sets the value of the endBConnector property.
  `void`
  `setInfo(ArrayOfSynchProperties value)`
  Sets the value of the info property.
  `void`
  `setMaster(SynchMasterType value)`
  Sets the value of the master property.
  `void`
  `setOpaqueData(String value)`
  Sets the value of the opaqueData property.
  `void`
  `setPrincipalHref(String value)`
  Sets the value of the principalHref property.
  `void`
  `setToken(String value)`
  Sets the value of the token property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### token

    protected String token

  - ### principalHref

    protected String principalHref

  - ### direction

    protected SynchDirectionType direction

  - ### master

    protected SynchMasterType master

  - ### endAConnector

    protected ConnectorInfoType endAConnector

  - ### endBConnector

    protected ConnectorInfoType endBConnector

  - ### info

    protected ArrayOfSynchProperties info

  - ### opaqueData

    protected String opaqueData

- ## Constructor Details

  - ### SubscribeRequestType

    public SubscribeRequestType()

- ## Method Details

  - ### getToken

    public String getToken()
    Gets the value of the token property.
    Returns:
      possible object is `String`

  - ### setToken

    public void setToken(String value)
    Sets the value of the token property.
    Parameters:
      `value` - allowed object is `String`

  - ### getPrincipalHref

    public String getPrincipalHref()
    Gets the value of the principalHref property.
    Returns:
      possible object is `String`

  - ### setPrincipalHref

    public void setPrincipalHref(String value)
    Sets the value of the principalHref property.
    Parameters:
      `value` - allowed object is `String`

  - ### getDirection

    public SynchDirectionType getDirection()
    Gets the value of the direction property.
    Returns:
      possible object is `SynchDirectionType`

  - ### setDirection

    public void setDirection(SynchDirectionType value)
    Sets the value of the direction property.
    Parameters:
      `value` - allowed object is `SynchDirectionType`

  - ### getMaster

    public SynchMasterType getMaster()
    Gets the value of the master property.
    Returns:
      possible object is `SynchMasterType`

  - ### setMaster

    public void setMaster(SynchMasterType value)
    Sets the value of the master property.
    Parameters:
      `value` - allowed object is `SynchMasterType`

  - ### getEndAConnector

    public ConnectorInfoType getEndAConnector()
    Gets the value of the endAConnector property.
    Returns:
      possible object is `ConnectorInfoType`

  - ### setEndAConnector

    public void setEndAConnector(ConnectorInfoType value)
    Sets the value of the endAConnector property.
    Parameters:
      `value` - allowed object is `ConnectorInfoType`

  - ### getEndBConnector

    public ConnectorInfoType getEndBConnector()
    Gets the value of the endBConnector property.
    Returns:
      possible object is `ConnectorInfoType`

  - ### setEndBConnector

    public void setEndBConnector(ConnectorInfoType value)
    Sets the value of the endBConnector property.
    Parameters:
      `value` - allowed object is `ConnectorInfoType`

  - ### getInfo

    public ArrayOfSynchProperties getInfo()
    Gets the value of the info property.
    Returns:
      possible object is `ArrayOfSynchProperties`

  - ### setInfo

    public void setInfo(ArrayOfSynchProperties value)
    Sets the value of the info property.
    Parameters:
      `value` - allowed object is `ArrayOfSynchProperties`

  - ### getOpaqueData

    public String getOpaqueData()
    Gets the value of the opaqueData property.
    Returns:
      possible object is `String`

  - ### setOpaqueData

    public void setOpaqueData(String value)
    Sets the value of the opaqueData property.
    Parameters:
      `value` - allowed object is `String`